Subject: Re: Using ssh to get a remote xterm started..
From: "Karl M" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 27 May 2001 11:47:53 -0700

Hi Andrew...

It works fine for me here--I know that is not too useful to you.

1) Try editing the patch file and remove junk lines.

2) Print out the patch file and make the edits by hand--it is a tiny patch.

Good luck,

...Karl

>From: Andrew Markebo <[email-masked]>
>To: "Karl M" <[email-masked]>
>Subject: Re: Using ssh to get a remote xterm started..
>Date: 27 May 2001 20:30:25 +0200
>
>Thanx.. uhm.. how do I patch it ;-) Patch says
>$ patch -p0 < ~/ssh-patch
>patching file `./clientloop.c'
>patch: **** malformed patch at line 9: void
>
>         /Andy
>
>/ "Karl M" <[email-masked]> wrote:
>| Hi Andrew...
>|
>| You may have a problem with ssh hanging when you fork off after
>| authentication--as I did. Try my workaround patch (previous e-mail)
>| and see if that fixes it for you.
>|
>| Thanks,
>|
>| ...Karl
>|
>|
>| >From: Andrew Markebo <[email-masked]>
>| >To: [email-masked], [email-masked]
>| >Subject: Using ssh to get a remote xterm started..
>| >Date: 27 May 2001 19:40:00 +0200
>| >
>| >I am trying to fire up a remote xterm automagically through cygwin's
>| >ssh 2.9p1-2 (latest and greatest dll and so on.. What happens is:
>| >
>| >I do (master is my linux machine.:
>| >
>| >ssh -2 -v -X master xterm
>| >
>| >The xterm pops up in my xserver on the `cygwin' machine. The last
>| >lines of the ssh log is:
>| >
>| >[...]
>| >debug1: client_init id 0 arg 0
>| >debug1: Requesting X11 forwarding with authentication spoofing.
>| >debug1: Sending command: xterm
>| >debug1: channel 0: open confirm rwindow 0 rmax 16384
>| >debug1: client_input_channel_open: ctype x11 rchan 2 win 4096 max 2048
>| >debug1: client_request_x11: request from 127.0.0.1 1189
>| >debug1: fd 7 setting O_NONBLOCK
>| >debug1: fd 7 IS O_NONBLOCK
>| >debug1: channel 1: new [x11]
>| >debug1: confirm x11
>| >
>| >But if I try:
>| >
>| >ssh -2 -v -X master xterm &
>| >ssh -2 -v -X -n master (with and without &)
>| >ssh -2 -v -X -f master (with and without &)
>| >
>| >I get no xterm, and the log says:
>| >[...]
>| >debug1: client_init id 0 arg 0
>| >debug1: Requesting X11 forwarding with authentication spoofing.
>| >debug1: Sending command: xterm
>| >debug1: channel 0: open confirm rwindow 0 rmax 16384
>| >[silence]
>| >
>| >What have I missed??
>| >
>| >         /Andy
>| >
>| >--
>| >Want to unsubscribe from this list?
>| >Check out: http://cygwin.com/ml/#unsubscribe-simple
>| >
>|
>| _________________________________________________________________
>| Get your FREE download of MSN Explorer at http://explorer.msn.com

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple